=== _deps/cpp_bindgen-build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /srv/build/gridtools/gridtools-2.0.0

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# The main all target
all: cmake_check_build_system
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/CMakeFiles /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/cpp_bindgen-build//CMakeFiles/progress.marks
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/all
	$(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
_deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/rule:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/rule
.PHONY : _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/rule

# Convenience name for target.
cpp_bindgen_handle: _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/rule

.PHONY : cpp_bindgen_handle

# fast build rule for target.
cpp_bindgen_handle/fast:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/build
.PHONY : cpp_bindgen_handle/fast

# Convenience name for target.
_deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/rule:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/rule
.PHONY : _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/rule

# Convenience name for target.
cpp_bindgen_generator: _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/rule

.PHONY : cpp_bindgen_generator

# fast build rule for target.
cpp_bindgen_generator/fast:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/build
.PHONY : cpp_bindgen_generator/fast

src/cpp_bindgen/generator.o: src/cpp_bindgen/generator.cpp.o

.PHONY : src/cpp_bindgen/generator.o

# target to build an object file
src/cpp_bindgen/generator.cpp.o:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/src/cpp_bindgen/generator.cpp.o
.PHONY : src/cpp_bindgen/generator.cpp.o

src/cpp_bindgen/generator.i: src/cpp_bindgen/generator.cpp.i

.PHONY : src/cpp_bindgen/generator.i

# target to preprocess a source file
src/cpp_bindgen/generator.cpp.i:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/src/cpp_bindgen/generator.cpp.i
.PHONY : src/cpp_bindgen/generator.cpp.i

src/cpp_bindgen/generator.s: src/cpp_bindgen/generator.cpp.s

.PHONY : src/cpp_bindgen/generator.s

# target to generate assembly for a file
src/cpp_bindgen/generator.cpp.s:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/src/cpp_bindgen/generator.cpp.s
.PHONY : src/cpp_bindgen/generator.cpp.s

src/cpp_bindgen/handle.o: src/cpp_bindgen/handle.cpp.o

.PHONY : src/cpp_bindgen/handle.o

# target to build an object file
src/cpp_bindgen/handle.cpp.o:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/src/cpp_bindgen/handle.cpp.o
.PHONY : src/cpp_bindgen/handle.cpp.o

src/cpp_bindgen/handle.i: src/cpp_bindgen/handle.cpp.i

.PHONY : src/cpp_bindgen/handle.i

# target to preprocess a source file
src/cpp_bindgen/handle.cpp.i:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/src/cpp_bindgen/handle.cpp.i
.PHONY : src/cpp_bindgen/handle.cpp.i

src/cpp_bindgen/handle.s: src/cpp_bindgen/handle.cpp.s

.PHONY : src/cpp_bindgen/handle.s

# target to generate assembly for a file
src/cpp_bindgen/handle.cpp.s:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/src/cpp_bindgen/handle.cpp.s
.PHONY : src/cpp_bindgen/handle.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... cpp_bindgen_generator"
	@echo "... cpp_bindgen_handle"
	@echo "... src/cpp_bindgen/generator.o"
	@echo "... src/cpp_bindgen/generator.i"
	@echo "... src/cpp_bindgen/generator.s"
	@echo "... src/cpp_bindgen/handle.o"
	@echo "... src/cpp_bindgen/handle.i"
	@echo "... src/cpp_bindgen/handle.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system
