=== _deps/cpp_bindgen-subbuild/CMakeLists.txt ===
# Distributed under the OSI-approved BSD 3-Clause License.  See accompanying
# file Copyright.txt or https://cmake.org/licensing for details.

cmake_minimum_required(VERSION 3.18.2)

# We name the project and the target for the ExternalProject_Add() call
# to something that will highlight to the user what we are working on if
# something goes wrong and an error message is produced.

project(cpp_bindgen-populate NONE)

include(ExternalProject)
ExternalProject_Add(cpp_bindgen-populate
                     "UPDATE_DISCONNECTED" "False" "GIT_REPOSITORY" "https://github.com/GridTools/cpp_bindgen.git" "GIT_TAG" "v1.0.1"
                    SOURCE_DIR          "/srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/cpp_bindgen-src"
                    BINARY_DIR          "/srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/cpp_bindgen-build"
                    CONFIGURE_COMMAND   ""
                    BUILD_COMMAND       ""
                    INSTALL_COMMAND     ""
                    TEST_COMMAND        ""
                    USES_TERMINAL_DOWNLOAD  YES
                    USES_TERMINAL_UPDATE    YES
)
