=== debian/changelog ===
gridtools (2.0.0-3) unstable; urgency=medium

  * Fix debian/watch file to handle rc bits
  * Set Standards-Version: 4.5.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 15:18:50 +0000

gridtools (2.0.0-2) unstable; urgency=medium

  * FTBFS on i386: use DEB_HOST_GNU_TARGET rather than DEB_HOST_MULTIARCH
    when working with cmake in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Sep 2020 12:48:37 +0100

gridtools (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Add build-dep on python3-all, python3-numpy
  * Enable test building, as this now triggers libs building
  * Add B-D on dh_fortran_mod
  * Use FETCHCONTENT_FULLY_DISCONNECTED=On instead of patching out git
  * Add d/gbp.conf to support DEP-14
  * Install fortran modules using dh_fortran_mod
  * Set VCS-Git to point to debian/latest branch
  * Use debhelper-compat = 13

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Sep 2020 16:57:15 +0100
